# Generated by Django 3.2.13 on 2022-07-21 20:57

import html

from django.db import migrations
from django.utils.html import strip_tags


def set_plain_text(apps, schema_editor):
    Note = apps.get_model('phyll', 'Note')
    for note in Note.objects.all():
        note.plain_text = html.unescape(strip_tags(note.text))
        note.save(update_fields=['plain_text'])


class Migration(migrations.Migration):

    dependencies = [
        ('phyll', '0004_note_plain_text'),
    ]

    operations = [
        migrations.RunPython(set_plain_text, reverse_code=migrations.RunPython.noop),
    ]
